### Enumeration

# Qmi WmsNWRegistration

since: 1.38

#### Declaration

    enum Qmi.WmsNWRegistration

#### Description [src]

The current network registration service for WMS.

Available since: 1.38

#### Members

`QMI_WMS_NW_REGISTRATION_STATUS_NO_SERVICE`

  No service.

  - Value: `0`
  - Available since: 1.38
`QMI_WMS_NW_REGISTRATION_STATUS_IN_PROCESS`

  In process to acquire.

  - Value: `1`
  - Available since: 1.38
`QMI_WMS_NW_REGISTRATION_STATUS_FAILURE`

  Permanent failure.

  - Value: `2`
  - Available since: 1.38
`QMI_WMS_NW_REGISTRATION_STATUS_LIMITED_SERVICE`

  Limited service.

  - Value: `3`
  - Available since: 1.38
`QMI_WMS_NW_REGISTRATION_STATUS_FULL_SERVICE`

  Full service.

  - Value: `4`
  - Available since: 1.38

#### Type functions

###### qmi_wms_nw_registration_get_string

Gets the nickname string for the `QmiWmsNWRegistration` specified at `val`.

since: 1.38